<?php
/**
 * @version     5.5
 * @package     pkg_gavoting
 * @copyright   Copyright (C) 2011. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Created by Glenn Arkell - http://www.glennarkell.com.au
 */

// No direct access
defined('_JEXEC') or die();

define('MODIFIED', 1);
define('NOT_MODIFIED', 2);

use \Joomla\CMS\Factory;
use \Joomla\CMS\Language\Text;
use \Joomla\CMS\Installer\InstallerScript;

/**
 * Updates the database structure of the component
 *
 */
class pkg_gavotingInstallerScript extends InstallerScript
{
	public $compName = 'gavoting';

	/**
	 * Load the language file on instantiation.
	 * @var    boolean
	 */
    protected $autoloadLanguage = true;

	/**
	 * @param   string $type   type
	 * @param   string $parent parent
	 * @return boolean
	 */
	public function postflight($type, $parent)
	{
		// $parent is the class calling this method
		echo '<p>Postflight Package Install</p>';

		if (STRTOUPPER($type) == 'UPDATE')
        {
			// check if the scheduled task exists and create if required
			echo '<h4 style="text-align:center; color:red;">As this package contains the component and module, you should rebuild your update servers listing.<br />Goto System/Update Sites and click the Rebuild button.</h4>';

		}

		if (STRTOUPPER($type) == 'INSTALL')
        {
			// create the scheduled task

		}

		return true;
	}

	/**
	 * *********************  Extra installation stuff  *******************************
	 */

}
